Requires : Android 4.0.3 and up